Route

The router will forward any message it receives to the game's cloud function.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example message sent to a game cloud function:

{
   "actionId": "cfd2ee7e-270d-4be9-903b-0114b0a0bf08",
   "name": "authenticate",
   "environment": "development",
   "operatorId": "72c43a89-585e-4cf9-8fab-dcc1740eec40",
   "gameId": "72c43a89-585e-4cf9-8fab-dcc1740eec40",
   "playerId": "566dd8dd-836c-40c1-afeb-dc930ddfac4f",
   "gameSession": "",
   "messagesDeviceToken": "",
   "wsToken": "b189f70a-4bc4-4a1d-9be5-3058122cb0cf",
   "extra": {
      "age": "0",
      "siteId": "1",
      "platform": "web",
      "currency": "DKK"
   },
   "messageTimestamp": 123131232221412,
   "token": "aa2108de-9cfc-484d-a58f-a77e6b4989d6",
   "mode": "Money",
   //Added by the Router
   "server_variables": [
     { "autospinEnabled": true },
     { "spinDelay": 3 }
   ],
   "client_variables": [
   	 { "autospinEnabled": true },
     { "spinDelay": 3 }
   ]
}

The field names server_variables and client_variables are reserved by the Router and will be overwritten.

Body Params
string
required

The name of the request/event

string
required

The games identifier

string
required

The operators identifier

string
required

"development", "staging" or "production".

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json